Joomla ve PHP5.3.1 Sorunu

JoomlaJoomla kullanıcıları bir kaç haftaya kadar kendi localhost (xampp, wampp vb.) serverlarında çalışırken aşağıdaki gibi hatalar almaktadır.

"Warning: Parameter 1 to xxxxxxx:buildXML() expected to be a reference"

libraries\joomla\cache\handler\callback.php on line 99

Bunun nedeni Joomla 1.5.15 sürümünün PHP 5.3.1 versiyonu ile uyum sorunu yaşamasından kaynaklanmaktadır. Joomla'nın offical sitesinde 1.5.15'in PHP 5.3.0 için patch çıkarttığı yayınlandı.

Buradan indirebilirsiniz. Dosyaları Joomla klasörünüzün içine attığınızda

"Warning: Parameter 1 to xxxxxxx:buildXML() expected to be a reference"

gibi bir çok sorunun ortadan kalktığını görebileceksiniz.

callback.php online 99 hatası için mecburen php5.3 versiyonunu kullanmanızı tavsiye ediyorum.

Xampp kullanıcıları 1.7.2 versiyonunu buradan indirebilirler.

Etiketler: joomlaphpbuildxmlxxxxxxxparameterwarningexpectedversiyonunuiçinburadangibireferencekullanıcılarıbirsorunuphp5xamppçokyayınlandıçıkarttığı
EN ÜST SAYFA
kıbrıs web tasarım kktc sitesi internet reklam seo dizayn web tasarım yazılım logo google arama motoru optimizasyonu profesyonel sayfa web sitesi e-ticaret firma şirketi

kıbrıs web tasarım